<?php

/* Einbinden der RuntimeMeter-Klasse. */
use RoteringCore\RuntimeMeter;
require_once __DIR__ . '/RoteringCore/RuntimeMeter.php';

/* Ein Objekt der Runtime-Meter-Klasse konstruieren und das Ausgabeformat der Laufzeitmessung anpassen. */
$lTimer = new RuntimeMeter();
$lTimer->setResultFormat(RuntimeMeter::FORMAT_DECIMALS, 2);
$lTimer->setResultFormat(RuntimeMeter::FORMAT_THOUSANDS_SEPARATOR, RuntimeMeter::SEPARATOR_THINSPACE);

$a = 1000;

/* Hier wird beispielhaft die Zeit für den vollständigen Durchlauf der Schleife gemessen. */
$lTimer->start();
for ($n = 0; $n < 100000; $n++) {
    $a = $a / 1.000001;
}
$lTimer->stop();

/* Ausgabe des Ergebnisses der Laufzeitmessung. */
echo 'Es hat ' . $lTimer->getResult() . ' gedauert, um die Schleife vollständig zu durchlaufen.';
